function [P] = gg2gc(f, l)
% GG2GC  transformation geographic. -> geocentric. coordinates
%        f, l in radians
%
A = 6378.245; B = 6356.863;   % Krasovsky ellipse
tanfi = B/A*tan(f);
cosfi = 1/sqrt(1 + tanfi^2);
sinfi = tanfi*cosfi;
P = [ A*cosfi*cos(l);  A*cosfi*sin(l);  B*sinfi ];

